:root {
	--tiny: 1px;
	--small: 2px;
	--medium: 4px;
	--large: 8px;
}

@media (prefers-color-scheme: light) {
	:root {
		--primary: #000000;
		--secondary: #505050;
		--accent: #6b46ff;
		--background: #ffffff;
		--secondaryBackground: #f4f4f4;
		--accentBackground: #fafaff;
		--shadow: 0px 2px 12px #cccccc;
	}
}
@media (prefers-color-scheme: dark) {
	:root {
		--primary: #ffffff;
		--secondary: #bbbbbb;
		--accent: #c68d57;
		--background: #0e0f09;
		--secondaryBackground: #161616;
		--accentBackground: #21211c;
		--shadow: 0px 0px 2px #606060;
	}
}

@font-face {
	font-family: "Commit Mono";
	src: url("/assets/commit_mono.woff2") format("woff2");
	font-weight: 200 700;
}

@font-face {
	font-family: "Libertinus";
	src: url("/assets/libertinus_display.woff2") format("woff2");
	font-weight: 400;
}

a {
	color: var(--accent);
	text-decoration: none;

	&:hover {
		text-decoration: underline;
	}
}

body {
	-webkit-text-size-adjust: 100%;
	background-color: var(--background);
	color: var(--primary);
	font-family: "Commit Mono", monospace;
	padding: var(--large);
	margin: 0 auto;
	tab-size: 4;
	line-height: 140%;
	max-width: 640px;
}

blockquote {
	background-color: var(--secondaryBackground);
	border-left: var(--small) solid var(--accent);
	border-radius: 0 var(--large) var(--large) 0;
	box-shadow: var(--shadow);
	margin: var(--large) 0;
	padding: var(--large);

	& > p {
		margin: 0;
	}
}

code {
	font-family: "Commit Mono", monospace;
	background: var(--accentBackground);
	border-radius: var(--small);
	color: var(--secondary);
	font-weight: normal;
	padding: var(--tiny) var(--small);
}

h1 {
	font-size: 3em;
	font-family: Libertinus, serif;
}

h2 {
	font-size: 2.5em;
	font-family: Libertinus, serif;
}

h3 {
	font-size: 2em;
	font-family: Libertinus, serif;
}

h4 {
	font-size: 1.5em;
	font-family: Libertinus, serif;
}

h5 {
	font-size: 1.2em;
	font-family: Libertinus, serif;
}

h6 {
	font-size: 1.2em;
	font-family: Libertinus, serif;
}

html {
  scroll-behavior: smooth;
}

hr {
	background-color: var(--secondary);
	border: none;
	height: 1px;
}

img,
video {
	display: block;
	margin: 0 auto;
	box-shadow: var(--shadow);
	border-radius: var(--large);
	max-width: 100%;
}

pre {
	& > code {
		display: block;
		line-height: 140%;
		overflow-x: auto;
		padding: var(--large);
		border-radius: var(--large);
		box-shadow: var(--shadow);
	}

	@media only screen and (max-width: 480px) {
		& > code {
			border-radius: 0;
			font-size: small;
			margin-left: calc(var(--large) * -1);
			margin-right: calc(var(--large) * -1);
		}
	}
}

table {
	background-color: var(--secondaryBackground);
	border-radius: var(--large);
	border-spacing: var(--small);
	box-shadow: var(--shadow);
	display: inline-block;
	max-width: 100%;
	overflow-x: auto;

	& th {
		color: var(--secondary);
		padding: var(--small) var(--medium);
	}

	& td {
		background-color: var(--background);
		padding: var(--small) var(--medium);
	}

	& tbody > tr:last-child {
		& td:first-child {
			border-bottom-left-radius: calc(var(--large) - var(--small));
		}

		& td:last-child {
			border-bottom-right-radius: calc(var(--large) - var(--small));
		}
	}
}
